TOPSRCDIR=..
XPATH=.. . $(WVSTREAMS_INC)

include ../config.mk
include ../topdir.mk

default: test

all: libkdb-uniconf.so linkertest

test: all
	. ldset.sh; ./elektest.sh

CPPFLAGS+=$(ELEKTRA_CFLAGS)
LIBS+=$(ELEKTRA_LIBS)

libkdb-uniconf.so: unikdb.fpic.o

linkertest: linkertest.o libkdb-uniconf.so

clean:
	rm -f *test elektra.conf

install: all
	mkdir -p $(libdir)
	$(INSTALL_PROGRAM) libkdb-uniconf.so $(libdir)
